// document.documentElement.style.fontSize = (100 / 720 * 100) + 'vh'

window.addEventListener('load', function () {
    //使用px代替vh，否则键盘弹出时vh会变化，导致单位变化
    let html = document.documentElement
    html.style.fontSize = html.clientHeight * 100 / 720 + 'px'

    /**@type HTMLDivElement */
    var mark = document.querySelector('.mark')
    /**@type HTMLInputElement */
    var content = document.getElementById('content')
    /**@type HTMLInputElement */
    var btnOk = document.getElementById('btnok')

    var callback

    window.openInput = function (v, p, t, cb) {
        callback = cb
        content.value = v
        content.type = t
        content.setAttribute('placeholder', p)
        mark.style.display = 'flex'
        content.focus()
    }

    btnOk.addEventListener('click', function () {
        callback(content.value)
        close()
    })

    mark.addEventListener('click', function (e) {
        if (e.target == mark) {
            close()
        }
    })

    function close() {
        callback = null
        mark.style.display = 'none'
    }
})
